Dashboards
GET /v1/widgets
List widgets.
GET /v1/widgets
curl --request GET \
--url https://api.getbluejay.ai/v1/widgetsimport requests
url = "https://api.getbluejay.ai/v1/widgets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/widgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/widgets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/widgets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/widgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyReturns widgets with their metrics, newest first. Filter with
data_type.
Query parameters
Headers
Response
The response is a list. Each item has these fields:Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request GET \
--url https://api.getbluejay.ai/v1/widgets \
--header 'X-API-Key: <api-key>'
Example response
200
[
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"description": "<string>",
"chart_type": "<string>",
"chart_mode": "<string>",
"data_type": "<string>",
"applies_to_all_agents": true,
"bar_mode": "<string>",
"aggregation": [
"<string>"
],
"time_bucket": "<string>",
"group_by": "<string>",
"simulation_ids": [
123
],
"show_indeterminate": true,
"filters": null,
"column_visibility": null,
"color_overrides": {
"key": "<string>"
},
"center_label": {
"slice": "<string>",
"clamp_pct": 1.5,
"label": "<string>",
"benchmark": 1.5,
"compare_previous": true,
"unit": "<string>"
},
"show_legend": true,
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"widget_metrics": [],
"layout": {
"x": 123,
"y": 123,
"w": 123,
"h": 123
}
}
]
Last modified on October 21, 2026
⌘I
GET /v1/widgets
curl --request GET \
--url https://api.getbluejay.ai/v1/widgetsimport requests
url = "https://api.getbluejay.ai/v1/widgets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v1/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/widgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/widgets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v1/widgets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/widgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body